Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
SetParameterBehaviour Class Reference

Set a value for Parameter. More...

Inheritance diagram for SetParameterBehaviour:

## Additional Inherited Members
Public Member Functions inherited from SetParameterBehaviourInternal
void | SetParameter (Parameter parameter)
| Set parameter. More...
override void | OnStateBegin ()
| Called when [state enter]. More...
Public Member Functions inherited from StateBehaviour
virtual void | OnStateAwake ()
| Called when [state enter first]. More...
virtual void | OnStateUpdate ()
| Update of State. More...
virtual void | OnStateLateUpdate ()
| LateUpdate for State. More...
virtual void | OnStateEnd ()
| Called when [state exit]. More...
virtual void | OnStateTrigger (string message)
| Called from SendTrigger. More...
bool | Transition (int nextStateID, TransitionTiming transitionTiming)
| State transition More...
bool | Transition (int nextStateID, bool immediateTransition)
| State transition More...
bool | Transition (int nextStateID)
| State transition. More...
bool | Transition (State nextState, TransitionTiming transitionTiming)
| State transition More...
bool | Transition (State nextState, bool immediateTransition)
| State transition More...
bool | Transition (State nextState)
| State transition. More...
bool | Transition (StateLink nextStateLink, TransitionTiming transitionTiming)
| State transition More...
bool | Transition (StateLink nextStateLink, bool immediateTransition)
| State transition More...
bool | Transition (StateLink nextStateLink)
| State transition. More...
StateBehaviour | AddBehaviour (System.Type type)
| Adds the behaviour. More...
T | AddBehaviour< T > ()
| Adds the behaviour. More...
StateBehaviour | GetBehaviour (System.Type type)
| Gets the behaviour. More...
T | GetBehaviour< T > ()
| Gets the behaviour. More...
StateBehaviour[] | GetBehaviours (System.Type type)
| Gets the behaviours. More...
T[] | GetBehaviours< T > ()
| Gets the behaviours. More...
void | Destroy ()
| Destroys this instance. More...
StateLink | GetStateLink (int index)
| Return StateLink of index. More...
void | RebuildStateLinkCache ()
| Rebuild StateLink's cache. More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| For Editor. More...
DataSlotField | GetDataSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (int index)
| Get DataSlotField. More...
DataSlotField | GetDataSlotField (DataSlot slot)
| Get DataSlotField. More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| Get DataSlotField. More...
void | RebuildDataSlotFields ()
| Rebuild the DataSlotField. More...
void | RebuildCalculatorSlotFields ()
| Rebuild the DataSlotField. More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| For Editor. More...
void | UpdateDataLink ()
| Manually update DataLink values. More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| For Editor. More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| For Editor. More...
static void | Destroy (NodeBehaviour behaviour)
| Destroy NodeBehaviour. More...
Public Attributes inherited from StateBehaviour
bool | expanded = true
| Expanded on ArborEditorWindow. More...
Protected Member Functions inherited from StateBehaviour
sealed override void | OnInitializeEnabled ()
| Called to perform enabled initialization. More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| See MonoBehaviour.OnValidate. More...
virtual void | OnCreated ()
| Raises the created event. More...
virtual void | OnPreDestroy ()
| Raises the pre destroy event. More...
virtual void | OnGraphPause ()
| This function is called when the graph is paused. More...
virtual void | OnGraphResume ()
| This function is called when the graph resumes. More...
virtual void | OnGraphStop ()
| This function is called when the graph stops. More...
Properties inherited from SetParameterBehaviourInternal
bool | isInGraphParameter`[get]`
| Whether this refers to a parameter in the graph. More...
Properties inherited from StateBehaviour
ArborFSMInternal | stateMachine`[get]`
| Gets the state machine. More...
State | state`[get]`
| Get the State. More...
int | stateID`[get]`
| Gets the state identifier. More...
bool | behaviourEnabled`[get, set]`
| Gets or sets a value indicating whether [behaviour enabled]. More...
State | prevTransitionState`[get]`
| Prev state More...
State | nextTransitionState`[get]`
| Next state More...
int | stateLinkCount`[get]`
| Count of StateLink. More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Node | node`[get]`
| Get the Node. More...
int | dataSlotFieldCount`[get]`
| Number of DataSlotField More...
int | calculatorSlotFieldCount`[get]`
| Number of DataSlotField More...

## Detailed Description

Set a value for Parameter.